OpenTTD Source: Coord3D< T > Struct Template Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
Coord3D< T > Struct Template Reference

A coordinate with three dimensions. More...

`#include <geometry_type.hpp>`

## Public Member Functions
constexpr | Coord3D (T x, T y, T z)

## Data Fields
T | x = 0
| X coordinate.
T | y = 0
| Y coordinate.
T | z = 0
| Z coordinate.

## Detailed Description

template<typename T>
struct Coord3D< T >

A coordinate with three dimensions.

Definition at line 43 of file geometry_type.hpp.

## Constructor & Destructor Documentation

## ◆ Coord3D()

template<typename T >

constexpr Coord3D< T >::Coord3D | ( | T | x,
|  | T | y,
|  | T | z
| ) |  |
| inlineconstexpr

Definition at line 49 of file geometry_type.hpp.

## Field Documentation

## ◆ x

template<typename T >

T Coord3D< T >::x = 0

X coordinate.

Definition at line 44 of file geometry_type.hpp.

Referenced by AddSortableSpriteToDraw(), DrawBridgeMiddle(), DrawFoundation(), DrawGroundSpriteAt(), DrawHouseInGUI(), DrawRailCatenary(), DrawRailCatenaryOnBridge(), DrawRailCatenaryOnTunnel(), DrawRailCatenaryRailway(), DrawRoadDetail(), DrawSelectionSprite(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileSelection(), DrawTrackFence(), ReadSpriteLayout(), StationChangeInfo(), Aircraft::UpdateDeltaXY(), RoadVehicle::UpdateDeltaXY(), Ship::UpdateDeltaXY(), Train::UpdateDeltaXY(), and ViewportAddLandscape().

## ◆ y

template<typename T >

T Coord3D< T >::y = 0

Y coordinate.

Definition at line 45 of file geometry_type.hpp.

Referenced by AddSortableSpriteToDraw(), DrawBridgeMiddle(), DrawGroundSpriteAt(), DrawHouseInGUI(), DrawRailCatenary(), DrawRailCatenaryOnBridge(), DrawRailCatenaryOnTunnel(), DrawRailCatenaryRailway(), DrawRoadDetail(), DrawSelectionSprite(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileSelection(), DrawTrackFence(), ReadSpriteLayout(), StationChangeInfo(), Aircraft::UpdateDeltaXY(), RoadVehicle::UpdateDeltaXY(), Ship::UpdateDeltaXY(), Train::UpdateDeltaXY(), and ViewportAddLandscape().

## ◆ z

template<typename T >

T Coord3D< T >::z = 0

Z coordinate.

Definition at line 46 of file geometry_type.hpp.

Referenced by AddSortableSpriteToDraw(), DrawBridgePillars(), DrawFoundation(), DrawGroundSpriteAt(), DrawHouseInGUI(), DrawRoadDetail(), DrawSelectionSprite(), DrawTile_TunnelBridge(), DrawTrackFence(), DrawWaterLock(), DrawTileSeqStruct::IsParentSprite(), ReadSpriteLayout(), SplitGroundSpriteForOverlay(), SpriteLayoutProcessor::SpriteLayoutProcessor(), StationChangeInfo(), Aircraft::UpdateDeltaXY(), and ViewportAddLandscape().

The documentation for this struct was generated from the following file:

- src/core/geometry_type.hpp